Package org.apache.ignite.internal.management.snapshot

## Class AbstractSnapshotCommand<A extends IgniteDataTransferObject,​R>

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand<A,​R>

All Implemented Interfaces:
  `Command<A,​R>`, `ComputeCommand<A,​R>`

Direct Known Subclasses:
  `SnapshotCancelCommand`, `SnapshotCheckCommand`, `SnapshotCreateCommand`, `SnapshotRestoreCommand`, `SnapshotStatusCommand`

    public abstract class AbstractSnapshotCommand<A extends IgniteDataTransferObject,​R>
    extends Object
    implements ComputeCommand<A,​R>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`AbstractSnapshotCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `printResult​(A arg, R res, Consumer<String> printer)` Prints command result to the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes, taskClass`

### Constructor Detail

#### AbstractSnapshotCommand

    public AbstractSnapshotCommand()

### Method Detail

#### printResult

    public void printResult​(A arg,
                            R res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<A extends IgniteDataTransferObject,​R>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.